
@font-face {
    font-family: 'Marker';
    src: url('PermanentMarker-Regular.ttf');
}

body{
    background-image: url("img/general_ui/body_background.jpg");
    background-size: contain;
    margin: 0;
    padding: 0;
    font-family: 'Comic Sans MS';
}

#navigation-bar{
    position: sticky;
    top: 0;
    display: flex;
    flex-flow: nowrap;
    justify-content: space-around;
    background-image: url("img/general_ui/crumpled_paper_2.jpg");
    border: 1px solid black;
    font-size: 1.5em;
    z-index: 6;
}

#borderL{
    margin: 0;
    padding: 0;
    top: 0;
    width: 5%;
    height: 100%; /* Full height */
    position: fixed; /* Make it stick, even on scroll */
    background-repeat: no-repeat;
    z-index: 200;
}
#borderR{
    margin: 0;
    padding: 0;
    top: 0;
    right: 0;
    width: 5%;
    height: 100%; /* Full height */
    position: fixed; /* Make it stick, even on scroll */
    background-repeat: no-repeat;
    background-position: right top;
    z-index: 200;
}
#header{
    background-image: url(img/general_ui/h1_scrap.png);
    background-origin: content-box;
    background-size: 80vw;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: center;
    padding: 5%;
    display: flex;
    justify-content: center;
    
}

a{
    padding: 2%;
}

a:hover {
    background-image: url("img/general_ui/circle.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
    background-clip: border-box;
}

h1{
    font-family: 'Marker', sans-serif;
    font-size: 5vw;
    text-align: center;
    
}


iframe{
    object-fit: contain;
    min-width: 10em;
    min-height: 10em;
}

.thumbnail-image{
    width: auto;
    height: auto;
    max-width: 50%;
    min-width: 10%;
}

.flex-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}


.flex-container > div{
    background-image: url("img/general_ui/crumpled_paper_1.jpg");
    text-align: center;
    margin: 5em;
    padding: 20px;
    min-width: 15em;
    font-size: 1.5em;
    border-radius: 5px;
}

.relative{
    position: relative;
}
.thumbtack{
    position: absolute;
    width: 40%;
    top: -50px;
}

@media (max-width: 700px) {
    .desktop-only{
        display: none;
    }
}

